> ## Documentation Index
> Fetch the complete documentation index at: https://docs.decodahealth.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Activate Outreach Sequence



## OpenAPI

````yaml post /comms/outreach-sequences/{sequence_id}/activate
openapi: 3.1.0
info:
  title: Decoda API
  description: External API documentation for the Decoda Health platform.
  version: '1.0'
servers: []
security: []
paths:
  /comms/outreach-sequences/{sequence_id}/activate:
    post:
      tags:
        - Outreach Sequences
      summary: Activate Outreach Sequence
      operationId: >-
        activate_outreach_sequence_comms_outreach_sequences__sequence_id__activate_post
      parameters:
        - name: TENANT
          in: header
          required: true
          schema:
            type: string
            title: Tenant
          description: The tenant you are making this request on behalf of
        - name: API-KEY
          in: header
          required: true
          schema:
            type: string
            title: Api-Key
          description: Your api key
        - name: sequence_id
          in: path
          required: true
          schema:
            type: string
            title: Sequence Id
        - name: send_immediately
          in: query
          required: false
          schema:
            type: boolean
            description: >-
              Recurring sequences only: fire an initial wave now, then continue
              on schedule.
            default: false
            title: Send Immediately
          description: >-
            Recurring sequences only: fire an initial wave now, then continue on
            schedule.
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/OutreachSequenceDetail'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    OutreachSequenceDetail:
      properties:
        id:
          type: string
          title: Id
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        status:
          anyOf:
            - $ref: '#/components/schemas/OutreachSequenceStatus'
            - type: 'null'
        cohortId:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortid
        cohortName:
          anyOf:
            - type: string
            - type: 'null'
          title: Cohortname
        cooldownDays:
          anyOf:
            - type: integer
            - type: 'null'
          title: Cooldowndays
        isMarketing:
          anyOf:
            - type: boolean
            - type: 'null'
          title: Ismarketing
        createdById:
          anyOf:
            - type: string
            - type: 'null'
          title: Createdbyid
        steps:
          items:
            $ref: '#/components/schemas/OutreachStepDetail'
          type: array
          title: Steps
        enrollmentStats:
          anyOf:
            - $ref: '#/components/schemas/EnrollmentStats'
            - type: 'null'
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        rrule:
          anyOf:
            - type: string
            - type: 'null'
          title: Rrule
        recurrenceStartDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrencestartdate
        recurrenceEndDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Recurrenceenddate
        recurrenceTimezone:
          anyOf:
            - type: string
            - type: 'null'
          title: Recurrencetimezone
        lastOccurrenceFiredAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Lastoccurrencefiredat
        nextSendAt:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Nextsendat
        cooldownWarning:
          anyOf:
            - type: string
            - type: 'null'
          title: Cooldownwarning
      type: object
      required:
        - id
        - name
        - description
        - status
        - cohortId
        - cooldownDays
        - isMarketing
        - createdById
        - steps
        - createdDate
      title: OutreachSequenceDetail
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    OutreachSequenceStatus:
      type: string
      enum:
        - DRAFT
        - ACTIVE
        - PAUSED
      title: OutreachSequenceStatus
    OutreachStepDetail:
      properties:
        id:
          type: string
          title: Id
        delayMinutes:
          type: integer
          title: Delayminutes
        effectType:
          $ref: '#/components/schemas/EffectType'
        config:
          anyOf:
            - additionalProperties: true
              type: object
            - type: 'null'
          title: Config
        displayOrder:
          type: integer
          title: Displayorder
        isActive:
          type: boolean
          title: Isactive
        createdDate:
          type: string
          format: date-time
          title: Createddate
        updatedDate:
          anyOf:
            - type: string
              format: date-time
            - type: 'null'
          title: Updateddate
        sentCount:
          type: integer
          title: Sentcount
          default: 0
        skippedCount:
          type: integer
          title: Skippedcount
          default: 0
        openCount:
          type: integer
          title: Opencount
          default: 0
        uniqueOpenCount:
          type: integer
          title: Uniqueopencount
          default: 0
        clickCount:
          type: integer
          title: Clickcount
          default: 0
        uniqueClickCount:
          type: integer
          title: Uniqueclickcount
          default: 0
        replyCount:
          type: integer
          title: Replycount
          default: 0
      type: object
      required:
        - id
        - delayMinutes
        - effectType
        - config
        - displayOrder
        - isActive
        - createdDate
      title: OutreachStepDetail
    EnrollmentStats:
      properties:
        active:
          type: integer
          title: Active
          default: 0
        completed:
          type: integer
          title: Completed
          default: 0
        exited:
          type: integer
          title: Exited
          default: 0
        total:
          type: integer
          title: Total
          default: 0
      type: object
      title: EnrollmentStats
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
        input:
          title: Input
        ctx:
          type: object
          title: Context
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
    EffectType:
      type: string
      enum:
        - SEND_SMS
        - SEND_EMAIL
        - CHANGE_STATUS
        - CREATE_TASK
      title: EffectType

````